package com.qxgmat.data.constants.enums;

import com.qxgmat.data.constants.enums.module.PaperModule;
import com.qxgmat.data.constants.enums.module.QuestionModule;

/**
 * Created by gaojie on 2017/11/19.
 */
public enum SettingKey {
    INDEX("index"), // 首页设置
    SENTENCE("sentence"), // 长难句目录
    SENTENCE_PAPER_STATUS("sentence_paper_status"), // 长难句自动组卷状态：process进度，finish时间
    PLACE("place"), // 难点设置
    EXERCISE_TIME("exercise_time"), // 练习题目时间
    EXAMINATION_TIME("examination_time"), // 考试时间
    FILTER_TIME("filter_time"), // 题目剔除时间
    EXERCISE_PAPER_AUTO("exercise_paper_auto"), // 自动组卷设置
    EXERCISE_PAPER_STATUS("exercise_paper_status"), // 练习自动组卷状态：process进度，finish时间
    PREPARE_INFO("prepare_info"), // 备考统计信息

    TIPS("tips"); // 页面提示信息

    final static public String message = "设置key";

    public String key;
    private SettingKey(String key){
        this.key = key;
    }

    /**
     * 根据组卷模块获取对应时间
     * @param module
     * @return
     */
    public static SettingKey getTimeByPaperModule(PaperModule module){
        switch (module){
            case EXAMINATION:
                return EXAMINATION_TIME;
            case EXERCISE:
                return EXERCISE_TIME;
            default:
                return null;
        }
    }
}
